Subject: Re: bug#4710: 23.1.50; Bad display of underlines crossing line boundaries

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 20 Sep 2011 11:41:30 +0200

Stefan Monnier <[email-masked]> writes:

>>> Maybe someone could come up with a neater way to display "face
>>> continuations" (face that applies to the text where a line is
>>> wrapped).  For underline, we could put a short bit of dotted underline
>>> as in:
>>>     foo bar baz
>>>         -------⋯
>>>     toto titi tur
>>>    ⋯----
>> Why assume that underlined whitespace should not show an underline?
>> Likewise for other face attributes.
>
> I believe you're confused: I'm talking about line-wrapping done by the
> redisplay engine.  I.e. there's no newline in the above example (but
> there are curly arrows in the fringe instead).

I was talking about things that do have newlines in them.  :-)

If you have the following text, where some of it underscores.  Like
this:

      This is a text with words This is a text with words This is a text with words 
                                                    -------------------------

Then you fill it with `M-q':

      This is a text with words This is a text with words This is a text
                                                    --------------------
      with words
----------

and then you get this ugly-looking result.

I have no idea how to fix this in an except in an extremely hacky way,
though.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/